package com.winsun.controller;

import com.winsun.auth.core.common.model.ResponseData;
import com.winsun.bean.Form;
import com.winsun.mapper.FormMapper;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 用于作为表单的创建、信息返回等使用
 * @author Liph
 * @datetime 2020-04-20/4/2 17:17
 */
public class FormController {
    private static FormMapper formMapper;

    @Autowired
    public FormController(FormMapper formMapper) {
        FormController.formMapper = formMapper;
    }

    public ResponseData<Form> list() {
        return ResponseData.error("");
    }

    public ResponseData<Form> creat() {
        return ResponseData.error("");
    }

    public ResponseData<Form> modify() {
        return ResponseData.error("");
    }

    public ResponseData<Form> delete() {
        return ResponseData.error("");
    }

    public ResponseData<Form> disable() {
        return ResponseData.error("");
    }

    public ResponseData<Form> enable() {
        return ResponseData.error("");
    }
}
